package cn.com.poc.appbuilder.model;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Model class for biz_appbuilder_info
 * 应用匹配
 */
@Entity
@Table(name = "biz_appbuilder_info")
@DynamicInsert
@DynamicUpdate
public class BizAppbuilderInfoModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** appId
    *
    */ 
    private Integer appId;
    
    @Column(name = "appId",length = 20)
	@Id
    public Integer getAppId(){
        return this.appId;
    }
    
    public void setAppId(Integer appId){
        this.appId = appId;
        super.addValidField("appId");
    }
    
  
    /** id
    *
    */ 
    private String id;
    
    @Column(name = "id",length = 100)
    public String getId(){
        return this.id;
    }
    
    public void setId(String id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** requestId
    *
    */ 
    private String requestId;
    
    @Column(name = "requestId",length = 100)
    public String getRequestId(){
        return this.requestId;
    }
    
    public void setRequestId(String requestId){
        this.requestId = requestId;
        super.addValidField("requestId");
    }
    
  
    /** name
    *
    */ 
    private String name;
    
    @Column(name = "name",length = 100)
    public String getName(){
        return this.name;
    }
    
    public void setName(String name){
        this.name = name;
        super.addValidField("name");
    }
    
  
    /** description
    *
    */ 
    private String description;
    
    @Column(name = "description",length = 2147483647)
    public String getDescription(){
        return this.description;
    }
    
    public void setDescription(String description){
        this.description = description;
        super.addValidField("description");
    }
    
  
    /** instruction
    *
    */ 
    private String instruction;
    
    @Column(name = "instruction",length = 2147483647)
    public String getInstruction(){
        return this.instruction;
    }
    
    public void setInstruction(String instruction){
        this.instruction = instruction;
        super.addValidField("instruction");
    }
    
  
    /** prologue
    *
    */ 
    private String prologue;
    
    @Column(name = "prologue",length = 2147483647)
    public String getPrologue(){
        return this.prologue;
    }
    
    public void setPrologue(String prologue){
        this.prologue = prologue;
        super.addValidField("prologue");
    }
    
  
    /** exampleQueries
    *
    */ 
    private String exampleQueries;
    
    @Column(name = "exampleQueries",length = 1073741824)
    public String getExampleQueries(){
        return this.exampleQueries;
    }
    
    public void setExampleQueries(String exampleQueries){
        this.exampleQueries = exampleQueries;
        super.addValidField("exampleQueries");
    }
    

}